package unisd

import (
	"dashboard/pkg/dadis"
	"time"
)

// 保留作为共享数据库，比如controller和service公共数据或者全局数据
var unisDataCenter = dadis.NewDadis()

func UnisDataSet(key string, value interface{}, expire time.Duration) {
	unisDataCenter.Set(key, value, expire)
}

func UnisDataGet(key string) (interface{}, bool) {
	return unisDataCenter.Get(key)
}
