package unisd

import "fmt"

type DadisKey string

func (d DadisKey) KeyWithChannel(channel int) string {
	return fmt.Sprintf("%d:%s", channel, string(d))
}

const (
	DadisKey_UnisSystemInfo  DadisKey = "UnisSystemInfo"
	DadisKey_UnisStationInfo DadisKey = "UnisStationInfo"
)
