package uniss

import (
	"dashboard/pkg/dadis"
	"dashboard/settings"
)

type dataCenterService struct {
	conf    *settings.UnisConfig
	dataMap *dadis.Dadis
}

func newDataCenterService(conf *settings.UnisConfig) *dataCenterService {
	res := new(dataCenterService)

	res.conf = conf
	res.dataMap = dadis.NewDadis()

	return res
}
