package models

import "fmt"

const rpcNamePrefix = "RpcServerStub"

type UnisRpcMethod string

func (m UnisRpcMethod) Methord() string {
	return fmt.Sprintf("%s.%s", rpcNamePrefix, string(m))
}

const (
	UnisStationConfig UnisRpcMethod = "Config"
)

type UnisRpcRequest struct {
	Id string
}

type UnisRpcResponse struct {
	Id string
}
